
BinFix							User's Manual					BinFix
						Last revision date: July 2, 1995

NAME
	BinFix - BINLOG.PB file fixer

SYNOPSIS
	binfix [-k] | [-hvc]

DESCRIPTION
	BinFix is a MS-DOS command-line utility designed to clean up ProBoard's
	BINLOG.PB file. Sometimes, entries creep up in it for users that have
	been deleted from the userbase. This may cause some programs to choke
	and display incorrect results (early versions of Who Called have been
	known to do this). This program will correct this problem by removing
	all those orphaned entries.

	You must have the PROBOARD environment variable set up to point to
	you ProBoard system directory because BinFix uses the configuration
	files to locate the userbase. BinFix is very fast because it uses the
	user index to attempt and locate users. On successful completion,
	BinFix will leave the new file BINLOG.PB and a backup of the old one,
	BINLOG.BAK, in ProBoard's direcptory. You might want to test the new
	one before deleting the backup file.

OPTIONS
	Every option is preceded by the '-' character, note that the case
	is significant, so make sure you use the correct letters. Options
	can be grouped under on switch except when taking additional arguments.

	-k
		kill non-existent users. Removes all users that are no longer
		present in the userbase from the binlog records.

	-h
		displays a brief summary of correct usage

	-v
		displays version information

	-c
		displays copyright notice

EXAMPLES
	binfix -k
		this will do what binfix is supposed to do

FILES
	BINFIX.EXE

DIAGNOSTICS
	All messages are in the form 'program name: error message'

	binfix: unable to backup file 'path'
		Program aborted because for some reason it could not create
		the backup file. Check the 'path' string to make sure it is
		working in the right directory.

	binfix: unable to open file 'path'
		Program aborted because it was unable to open the file specified
		in 'path'. make sure it's looking in the right place.

	binfix: unable to create file 'path'
		Prorgam aborted because it was unable to create file file
		specified in 'path'.

	binfix: error processing BINLOG record
		Some error ocurred processing the BINLOG file. This may be due
		to a corrupted file. Run PBUTIL FB to correct the problem and
		try again.

IDENTIFICATION
	Author: Branislav L. Slantchev
	Revision Number: 1.0
	Release Date: July 2, 1995
	Copyright (C) 1995 by Branislav L. Slantchev

LEGAL
	BinFix is using source code from PBLib, Copyright (C) 1995 by
	Branislav L. Slantchev

	BinFix was compiled with the following products:

	BCC 3.1, TLINK 5.22b, TLIB 3.02, MAKE 3.6, Copyright by Borland Int'l.

	BinFix (all executables, source and documentation files)
	are Copyright (C) 1995 by Branislav L. Slantchev.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	If you find this program useful, drop me a post card at the mail
	address (see file SUPPORT). I will really appreciate that.

SEE ALSO
	README for quick installation tips
